Bug 393901 - how to install of gcc32 in RHEL 5
how to install of gcc32 in RHEL 5
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.1
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
how to install of gcc32 in RHEL 5 ;
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 05:15 EST by yogeshkumark
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 05:39:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description yogeshkumark 2007-11-21 05:15:35 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.i can't able to install the gcc3.2 version in RHEL 5
2.using rpm , binary files,src packages also i try , all fails
3.
  
Actual results:
rpm -ivf gcc-3.2.2-5.i386.rpm gcc-c++-3.2.2-5.i386.rpm gl
ibc-common-2.3.2-27.9.7.i386.rpm glibc-2.3.2-11.9.i386.rpm
warning: gcc-3.2.2-5.i386.rpm: Header V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
        glibc-devel >= 2.2.90-12 is needed by gcc-3.2.2-5.i386
        libstdc++ = 3.2.2 is needed by gcc-c++-3.2.2-5.i386
        libstdc++-devel = 3.2.2 is needed by gcc-c++-3.2.2-5.i386
        gcc-c++ < 4.0.0 conflicts with binutils-2.17.50.0.6-2.el5.i386
        glibc > 2.3.2 conflicts with glibc-common-2.3.2-27.9.7.i386
        glibc-common <= 2.3.2-63 conflicts with tzdata-2007h-1.el5.noarch
        glibc-common = 2.3.2-11.9 is needed by glibc-2.3.2-11.9.i386
        glibc < 2.5 conflicts with glibc-common-2.5-12.i386

Expected results:

installed 
Additional info:
+91 9884343891
Comment 1 Jakub Jelinek 2007-11-21 05:39:11 EST
Certainly not by trying to install RHEL3 rpms on RHEL5.
RHEL N only supports compatibility compilers from RHEL (N-1) release, for older
releases only libraries are provided.  If you for need older compiler, the best
thing is install RHEL3 in a chroot and build there, build gcc yourself from
sources on RHEL5 or e.g. unpack RHEL4 compat-gcc-32 rpms in some nonstandard
path (say mkdir ~/gcc32; cd ~/gcc32; for i in ~/compat-gcc-32-*.rpm ..; do
rpm2cpio $i | cpio -id; done ).
Comment 2 yogeshkumark 2007-11-23 01:13:52 EST
This is in Live Server , how i can able to change root and install the RHEL3
packages in the new root folder , how is it possible , can u give me the some
more details , This is the first time i am making changes for the root folder as
change root .

after changing root , what the the files to be transfer to execute the
application . if i try to change the root , what are the problem will face while
i am working in ssh remote . if local how we can do it .

kindly waiting for the reply ,

Note You need to log in before you can comment on or make changes to this bug.